jfinal2.2和1.9引入jfinal-weixin冲突问题

詹皇 发布于 2016/03/16 23:53
阅读 389
收藏 0

@JFinal 你好,想跟你请教个问题:波总您好,

jfinal2.2可以用enhance和generator 但是引入jfinal-weixin的类之后会报错  反之如果引入1.9的话引入jfinal-weixin不会报错 但是enhance和generator就会报错了,直接上图,我maven引入的是jfinal2.2

都是因为jfinal的版本导致包找不到,当引入1.9的话就是

1.9的话就是这样冲突了

加载中
0
weyer
weyer
1.9 没有generator 吧
詹皇
詹皇
回复 @lety : 好的 谢谢
weyer
weyer
回复 @詹皇 : 看的错误 在2.2里面 Interceptor 中的 ActionInvocation 参数更名为 Invocation 所有Logger更名为Log,所有getLogger()更名为getLog()
weyer
weyer
回复 @詹皇 : 1.9 和2.0 还是有一些区别的 你可以看看 1.9升级到2.0 还有 2.0升级到2.2 的手册 版本升级有删除一些东西,或者名称改了,这个你可以找找2.0和2.2的手册 上面有升级的一些注意事项
詹皇
詹皇
是的 1.9是没有generator的 但是我引入2.2版本的时候 weixin demo包下的sdk包里面又会报错(2.2的类库里面有好多东西在1.9的时候有 但是到2.2就没有了)
0
JFinal
JFinal
     jfinal 1.9 升级 到 jfinal 2.2 时,要改点代码,例如 ActionInvocation 改为 Invocation,基本都是一些改名之类的小改动,对照版本发布时的 changelog 来改,分分钟就改完了
詹皇
詹皇
已完成 谢谢
如梦技术
如梦技术
同时升级JFinal Weixin到1.7即可
返回顶部
顶部